<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\JsonResponse;
use PHPExcel_IOFactory;
use PHPExcel_Cell;

//use CmBundle\Entity\Alumnos;
use CmBundle\Controller\PDFCredencial;
use CmBundle\Entity\AlumnosCredenciales;
use Picqer\Barcode\BarcodeGeneratorPNG;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ArchivosController
 *
 * @author omar
 */
class ArchivosController extends Controller
{

//    const UPLOAD_DIR = 'archivo' . DIRECTORY_SEPARATOR;
    const UPLOAD_DIR = 'archivo/';

    //put your code here    
    public function gFotoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            //if ($request->getMethod() == 'POST') {
            $id_foto = $request->get('foto');
            $filename = "fotos/" . $id_foto . '.jpg'; //nombre del archivo
            $result = file_put_contents($filename, file_get_contents('php://input')); //renombramos la fotografia y la subimos
            if (!$result) {
                print "No se pudo subir al servidor\n";
                exit();
            }

            $fotoAlumno = 0;
            $nombre_fichero = "fotos/" . $id_foto . ".jpg";

            if (file_exists($nombre_fichero)) {
                $fotoAlumno = $nombre_fichero;
            } else {
                $fotoAlumno = "images/usuario.png";
            }

            return $this->render('CmBundle:Archivo:verFoto.html.twig', array('foto' => $fotoAlumno));
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

// FIN gFoto

    public function saFotoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                //      [name=""][propiedad]
                //$_FILES['archivo']['name']
                $numCtl = $request->get('cveCtl');

                if ($_FILES['archivoFoto']['error'] > 0) {

                } else {
                    move_uploaded_file($_FILES['archivoFoto']['tmp_name'], 'fotos/' . $numCtl . '.jpg');
                }

                $em = $this->getDoctrine()->getManager();
                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('cveCtl' => $numCtl));

                if ($alumno->getTipoAlumno() == 2) {
                    return $this->redirect($this->generateUrl('consulta_alumno_bachi_tecno', array('ideAlu' => $alumno->getIdeAlu())));
                } else {
                    return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
                }
            } else { // NO FUE POST
                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'Debe estar logeado para ver este contenido'
                );

                return $this->redirect($this->generateUrl('login'));
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function saFotoQRAction(Request $request)
    {
        if ($request->getMethod() == "POST") {
            //      [name=""][propiedad]
            //$_FILES['archivo']['name']
            $numCtl = $request->get('cveCtl');

            if ($_FILES['archivoFoto']['error'] > 0) {

            } else {
                move_uploaded_file($_FILES['archivoFoto']['tmp_name'], 'fotos/' . $numCtl . '.jpg');
            }

            $em = $this->getDoctrine()->getManager();
            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('cveCtl' => $numCtl));

            return $this->redirect($this->generateUrl('exito_archivo_fotografia_qr', array('ideAlu' => $alumno->getIdeAlu())));
        } else { // NO FUE POST
            $ideAlu = $request->get('ideAlu');
            $em = $this->getDoctrine()->getManager();
            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

            return $this->render('CmBundle:Archivo:cargarFotoQR.html.twig', array('a' => $alumno));
        }
    }

    public function exitoFotoQRAction(Request $request)
    {
        if ($request->getMethod() == "POST") {

        } else { // NO FUE POST
            $ideAlu = $request->get('ideAlu');
            $em = $this->getDoctrine()->getManager();
            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

            $fotoAlumno = 0;
            $nombre_fichero = "fotos/" . $alumno->getCveCtl() . ".jpg";

            if (file_exists($nombre_fichero)) {
                $fotoAlumno = $nombre_fichero;
            } else {
                $fotoAlumno = "images/usuario.png";
            }

            return $this->render('CmBundle:Archivo:exitoFotoQR.html.twig', array('a' => $alumno, 'fotoAlumno' => $fotoAlumno));
        }
    }

    public function escanearActaNacimientoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $ideAlu = $request->get('ideAlu') . $request->get('tipoDeDocumento');

                //print_r($ideAlu);

                $this->processRequest($ideAlu);
                $respuesta = "";
                switch ($request->get('tipoDeDocumento')) {
                    case '-an':
                        $respuesta = "ESCANEO CORRECTO: Acta de Nacimiento: " . $ideAlu;
                        break;
                    case '-cs':
                        $respuesta = "ESCANEO CORRECTO: Certificado de Secundaria: " . $ideAlu;
                        break;
                    case '-cb':
                        $respuesta = "ESCANEO CORRECTO: Certificado de Bachillerato: " . $ideAlu;
                        break;
                    case '-ine':
                        $respuesta = "ESCANEO CORRECTO: IFE o INE: " . $ideAlu;
                        break;
                    case '-curp':
                        $respuesta = "ESCANEO CORRECTO: CURP: " . $ideAlu;
                        break;
                    case '-comDom':
                        $respuesta = "ESCANEO CORRECTO: Comprobante Domiciliario: " . $ideAlu;
                        break;
                }

                /*
                 * LOGICA PARA MOVER LOS DOCUMENTOS
                 */

                return new JsonResponse($respuesta, 200);
            } else { // NO FUE POST
                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'Debe estar logeado para ver este contenido'
                );

                return $this->redirect($this->generateUrl('login'));
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function subirExpEUAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $numCtl = $request->get('claveAlumno');


                //REVISAR SI HAY ARCHIVOS EN LOS DEMÁS CAMPOS

                $em = $this->getDoctrine()->getManager();
                $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('cveCtl' => $numCtl));

                $rutaExpediente = "";
                $rutaAlumno = "";
                if ($alumno->getTipoAlumno() != 8) {
                    $rutaExpediente = "archivo/" . $alumno->getCvePla()->getIdePla();
                    if (file_exists($rutaExpediente) == false) {
                        mkdir($rutaExpediente);
                    }
                    $rutaAlumno = $rutaExpediente . "/" . $alumno->getIdeAlu();
                    if (file_exists($rutaAlumno) == false) {
                        mkdir($rutaAlumno);
                    }
                }

                if ($alumno->getTipoAlumno() == 3) {
                    /**
                     * SUBIR CERTIFICADO DE BACHILLERATO
                     */
                    if ($_FILES['certificadoExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['certificadoExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-cb.pdf");
                    }
                    if ($_FILES['compEstudios']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['compEstudios']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-compEstudios.pdf");
                    }
                } elseif ($alumno->getTipoAlumno() == 1) {
                    /**
                     * SUBIR CERTIFICADO DE SECUNDARIA
                     */
                    if ($_FILES['certificadoExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['certificadoExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-cs.pdf");
                    }
                } elseif ($alumno->getTipoAlumno() == 4) {
                    /**
                     * SUBIR CERTIFICADO DE LICENCIATURA
                     */
                    if ($_FILES['certificadoLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['certificadoLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-ctl.pdf");
                    }

                    /**
                     * SUBIR CEDULA DE LICENCIATURA
                     */
                    if ($_FILES['cedulaLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['cedulaLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-cedLic.pdf");
                    }

                    /**
                     * SUBIR TITULO DE LICENCIATURA
                     */
                    if ($_FILES['tituloLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['tituloLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-tl.pdf");
                    }
                } elseif ($alumno->getTipoAlumno() == 5) {
                    /**
                     * SUBIR CERTIFICADO DE LICENCIATURA
                     */
                    if ($_FILES['certificadoLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['certificadoLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-ctl.pdf");
                    }

                    /**
                     * SUBIR CEDULA DE LICENCIATURA
                     */
                    if ($_FILES['cedulaLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['cedulaLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-cedLic.pdf");
                    }

                    /**
                     * SUBIR TITULO DE LICENCIATURA
                     */
                    if ($_FILES['tituloLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['tituloLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-tl.pdf");
                    }


                    /**
                     * SUBIR CERTIFICADO DE MAESTRIA
                     */
                    if ($_FILES['certificadoMaeExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['certificadoMaeExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-ctm.pdf");
                    }

                    /**
                     * SUBIR CEDULA DE MAESTRIA
                     */
                    if ($_FILES['cedulaMaeExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['cedulaMaeExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-cedMae.pdf");
                    }

                    /**
                     * SUBIR TITULO DE MAESTRIA
                     */
                    if ($_FILES['tituloMaeExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['tituloMaeExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-tm.pdf");
                    }
                } elseif ($alumno->getTipoAlumno() == 13) { //ESPECIALIDAD
                    /**
                     * SUBIR CERTIFICADO DE BACHILLERATO
                     */
                    if ($_FILES['certificadoExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['certificadoExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-cb.pdf");
                    }
                    /**
                     * SUBIR CERTIFICADO DE LICENCIATURA
                     */
                    if ($_FILES['certificadoLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['certificadoLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-ctl.pdf");
                    }

                    /**
                     * SUBIR CEDULA DE LICENCIATURA
                     */
                    if ($_FILES['cedulaLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['cedulaLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-cedLic.pdf");
                    }

                    /**
                     * SUBIR TITULO DE LICENCIATURA
                     */
                    if ($_FILES['tituloLicExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['tituloLicExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-tl.pdf");
                    }
                    if ($_FILES['compEstudios']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['compEstudios']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-compEstudios.pdf");
                    }
                } elseif ($alumno->getTipoAlumno() == 8) { // ALUMNO DIRECTA

                    $auxTit = $em->getRepository('CmBundle:Titulaciones')
                        ->findOneBy(array('cveAlu' => $alumno));

                    if ($auxTit->getTipoAlumno() == 3) {
                        /**
                         * SUBIR CERTIFICADO DE BACHILLERATO
                         */
                        if ($_FILES['certificadoExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['certificadoExp']['tmp_name'], "archivo/" . $numCtl . "-cb.pdf");
                        }
                        if ($_FILES['compSSocial']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['compSSocial']['tmp_name'], "archivo/" . $numCtl . "-compSSocial.pdf");
                        }
                    } elseif ($auxTit->getTipoAlumno() == 4) {
                        /**
                         * SUBIR CERTIFICADO DE LICENCIATURA
                         */
                        if ($_FILES['certificadoLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['certificadoLicExp']['tmp_name'], "archivo/" . $numCtl . "-ctl.pdf");
                        }

                        /**
                         * SUBIR CEDULA DE LICENCIATURA
                         */
                        if ($_FILES['cedulaLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['cedulaLicExp']['tmp_name'], "archivo/" . $numCtl . "-cedLic.pdf");
                        }

                        /**
                         * SUBIR TITULO DE LICENCIATURA
                         */
                        if ($_FILES['tituloLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['tituloLicExp']['tmp_name'], "archivo/" . $numCtl . "-tl.pdf");
                        }
                    } elseif ($auxTit->getTipoAlumno() == 5) {
                        /**
                         * SUBIR CERTIFICADO DE LICENCIATURA
                         */
                        if ($_FILES['certificadoLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['certificadoLicExp']['tmp_name'], "archivo/" . $numCtl . "-ctl.pdf");
                        }

                        /**
                         * SUBIR CEDULA DE LICENCIATURA
                         */
                        if ($_FILES['cedulaLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['cedulaLicExp']['tmp_name'], "archivo/" . $numCtl . "-cedLic.pdf");
                        }

                        /**
                         * SUBIR TITULO DE LICENCIATURA
                         */
                        if ($_FILES['tituloLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['tituloLicExp']['tmp_name'], "archivo/" . $numCtl . "-tl.pdf");
                        }


                        /**
                         * SUBIR CERTIFICADO DE MAESTRIA
                         */
                        if ($_FILES['certificadoMaeExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['certificadoMaeExp']['tmp_name'], "archivo/" . $numCtl . "-ctm.pdf");
                        }

                        /**
                         * SUBIR CEDULA DE MAESTRIA
                         */
                        if ($_FILES['cedulaMaeExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['cedulaMaeExp']['tmp_name'], "archivo/" . $numCtl . "-cedMae.pdf");
                        }

                        /**
                         * SUBIR TITULO DE MAESTRIA
                         */
                        if ($_FILES['tituloMaeExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['tituloMaeExp']['tmp_name'], "archivo/" . $numCtl . "-tm.pdf");
                        }
                    } elseif ($auxTit->getTipoAlumno() == 13) {
                        /**
                         * SUBIR CERTIFICADO DE BACHILLERATO
                         */
                        if ($_FILES['certificadoExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['certificadoExp']['tmp_name'], "archivo/" . $numCtl . "-cb.pdf");
                        }
                        /**
                         * SUBIR CERTIFICADO DE LICENCIATURA
                         */
                        if ($_FILES['certificadoLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['certificadoLicExp']['tmp_name'], "archivo/" . $numCtl . "-ctl.pdf");
                        }

                        /**
                         * SUBIR CEDULA DE LICENCIATURA
                         */
                        if ($_FILES['cedulaLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['cedulaLicExp']['tmp_name'], "archivo/" . $numCtl . "-cedLic.pdf");
                        }

                        /**
                         * SUBIR TITULO DE LICENCIATURA
                         */
                        if ($_FILES['tituloLicExp']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['tituloLicExp']['tmp_name'], "archivo/" . $numCtl . "-tl.pdf");
                        }
                        if ($_FILES['compSSocial']['error'] > 0) {

                        } else {
                            move_uploaded_file($_FILES['compSSocial']['tmp_name'], "archivo/" . $numCtl . "-compSSocial.pdf");
                        }
                    }

                    /*
                     * DOCUEMNTO BASE DE TRAMITES DIRECTAS
                     */
                    /**
                     * SUBIR COMPROBANTE DE ESTUDIOS
                     */
                    if ($_FILES['compEstudios']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['compEstudios']['tmp_name'], "archivo/" . $numCtl . "-compEstudios.pdf");
                    }
                }


                if ($alumno->getTipoAlumno() != 8) {
                    /**
                     * SUBIR CURP
                     */
                    if ($_FILES['actaExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['actaExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-an.pdf");
                    }

                    /**
                     * SUBIR ACTA DE NACIMIENTO
                     */
                    if ($_FILES['curpExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['curpExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-curp.pdf");
                    }

                    /**
                     * SUBIR INE
                     */
                    if ($_FILES['ineExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['ineExp']['tmp_name'], $rutaAlumno . "/" . $numCtl . "-ine.pdf");
                    }
                } else {
                    /**
                     * SUBIR CURP
                     */
                    if ($_FILES['actaExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['actaExp']['tmp_name'], "archivo/" . $numCtl . "-an.pdf");
                    }

                    /**
                     * SUBIR ACTA DE NACIMIENTO
                     */
                    if ($_FILES['curpExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['curpExp']['tmp_name'], "archivo/" . $numCtl . "-curp.pdf");
                    }

                    /**
                     * SUBIR INE
                     */
                    if ($_FILES['ineExp']['error'] > 0) {

                    } else {
                        move_uploaded_file($_FILES['ineExp']['tmp_name'], "archivo/" . $numCtl . "-ine.pdf");
                    }
                }


                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else { // ES GET
                $ideAlu = $request->get('ideAlu');
                $em = $this->getDoctrine()->getManager();
                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                if ($alumno->getTipoAlumno() == 3) {
                    return $this->render('CmBundle:Archivo:vistaExpedienteLIC.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                } elseif ($alumno->getTipoAlumno() == 1) {
                    return $this->render('CmBundle:Archivo:vistaExpedienteBAC.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                } elseif ($alumno->getTipoAlumno() == 8) {
                    $auxTit = $em->getRepository('CmBundle:Titulaciones')
                        ->findOneBy(array('cveAlu' => $alumno));
                    if ($auxTit->getTipoAlumno() == 3) {
                        return $this->render('CmBundle:Archivo:vistaExpedienteLIC.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                    } elseif ($auxTit->getTipoAlumno() == 4) {
                        return $this->render('CmBundle:Archivo:vistaExpedienteMAE.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                    } elseif ($auxTit->getTipoAlumno() == 5) {
                        return $this->render('CmBundle:Archivo:vistaExpedienteDOC.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                    } elseif ($auxTit->getTipoAlumno() == 13) {
                        return $this->render('CmBundle:Archivo:vistaExpedienteESP.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                    }
                } elseif ($alumno->getTipoAlumno() == 4) {
                    return $this->render('CmBundle:Archivo:vistaExpedienteMAE.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                } elseif ($alumno->getTipoAlumno() == 5) {
                    return $this->render('CmBundle:Archivo:vistaExpedienteDOC.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                } elseif ($alumno->getTipoAlumno() == 9) {
                } elseif ($alumno->getTipoAlumno() == 10) {
                    return $this->render('CmBundle:Archivo:vistaExpedientePreescolar.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                } elseif ($alumno->getTipoAlumno() == 11) {
                    return $this->render('CmBundle:Archivo:vistaExpedientePrimaria.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                } elseif ($alumno->getTipoAlumno() == 12) {
                } elseif ($alumno->getTipoAlumno() == 13) {
                    return $this->render('CmBundle:Archivo:vistaExpedienteESP.html.twig', array('claveAlumno' => $alumno->getCveCtl()));
                }
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function subirExpBasicaAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $numCtl = $request->get('claveAlumno');


                //REVISAR SI HAY ARCHIVOS EN LOS DEMÁS CAMPOS


                $em = $this->getDoctrine()->getManager();
                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('cveCtl' => $numCtl));

                $ruta = "archivo/" . $numCtl;

                if ($alumno->getTipoAlumno() == 9) { // MATERNAL


                } elseif ($alumno->getTipoAlumno() == 10) { // PREESCOLAR
                    /**
                     * SUBIR ACTA NACIMIENTO ALUMNO
                     */
                    if ($_FILES['actaAlumno']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['actaAlumno']['tmp_name'], $ruta . "-anAlumno.pdf");
                    }
                    /**
                     * SUBIR CURP ALUMNO
                     */
                    if ($_FILES['curpAlumno']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['curpAlumno']['tmp_name'], $ruta . "-curpAlumno.pdf");
                    }
                    /**
                     * SUBIR CARTILLA DE VACUNACION ALUMNO
                     */
                    if ($_FILES['cartillaAlumno']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['cartillaAlumno']['tmp_name'], $ruta . "-cv.pdf");
                    }
                    /**
                     * SUBIR INE MADRE
                     */
                    if ($_FILES['ineMadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['ineMadre']['tmp_name'], $ruta . "-ineMadre.pdf");
                    }
                    /**
                     * SUBIR CURP MADRE
                     */
                    if ($_FILES['curpMadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['curpMadre']['tmp_name'], $ruta . "-curpMadre.pdf");
                    }
                    /**
                     * SUBIR INE PADRE
                     */
                    if ($_FILES['inePadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['inePadre']['tmp_name'], $ruta . "-inePadre.pdf");
                    }
                    /**
                     * SUBIR CURP PADRE
                     */
                    if ($_FILES['curpPadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['curpPadre']['tmp_name'], $ruta . "-curpPadre.pdf");
                    }
                    /**
                     * SUBIR ACTA NACIMIENTO TUTOR
                     */
                    if ($_FILES['actaTutor']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['actaTutor']['tmp_name'], $ruta . "-anTutor.pdf");
                    }
                    /**
                     * SUBIR COMPROBANTE DOMICILIARIO
                     */
                    if ($_FILES['comDom']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['comDom']['tmp_name'], $ruta . "-comDomicilio.pdf");
                    }
                } elseif ($alumno->getTipoAlumno() == 11) { // PRIMARIA

                    /**
                     * SUBIR ACTA NACIMIENTO ALUMNO
                     */
                    if ($_FILES['actaAlumno']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['actaAlumno']['tmp_name'], $ruta . "-anAlumno.pdf");
                    }
                    /**
                     * SUBIR CURP ALUMNO
                     */
                    if ($_FILES['curpAlumno']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['curpAlumno']['tmp_name'], $ruta . "-curpAlumno.pdf");
                    }
                    /**
                     * SUBIR CARTILLA DE VACUNACION ALUMNO
                     */
                    if ($_FILES['cartillaAlumno']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['cartillaAlumno']['tmp_name'], $ruta . "-cv.pdf");
                    }
                    /**
                     * SUBIR INE MADRE
                     */
                    if ($_FILES['ineMadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['ineMadre']['tmp_name'], $ruta . "-ineMadre.pdf");
                    }
                    /**
                     * SUBIR CURP MADRE
                     */
                    if ($_FILES['curpMadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['curpMadre']['tmp_name'], $ruta . "-curpMadre.pdf");
                    }
                    /**
                     * SUBIR INE PADRE
                     */
                    if ($_FILES['inePadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['inePadre']['tmp_name'], $ruta . "-inePadre.pdf");
                    }
                    /**
                     * SUBIR CURP PADRE
                     */
                    if ($_FILES['curpPadre']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['curpPadre']['tmp_name'], $ruta . "-curpPadre.pdf");
                    }
                    /**
                     * SUBIR ACTA NACIMIENTO TUTOR
                     */
                    if ($_FILES['actaTutor']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['actaTutor']['tmp_name'], $ruta . "-anTutor.pdf");
                    }
                    /**
                     * SUBIR COMPROBANTE DOMICILIARIO
                     */
                    if ($_FILES['comDom']['error'] > 0) {
                    } else {
                        move_uploaded_file($_FILES['comDom']['tmp_name'], $ruta . "-comDomicilio.pdf");
                    }

                } elseif ($alumno->getTipoAlumno() == 12) { // SECUNDARIA

                }


                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else { // ES GET

            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    // Front controller
    function processRequest($ideAlu)
    {
        if (isset($_GET['delay']) && is_numeric($_GET['delay'])) {
            sleep($_GET['delay']);
        }

        $action = $_GET['action'];
        switch ($action) {
            case 'upload':
                { // handle file upload
                    header('Content-type: text/plain; charset=utf-8');

                    $fileNames = handleUploadedFiles($ideAlu);
                    if (is_array($fileNames) && count($fileNames) > 0) {
                        foreach ($fileNames as $index => $filename) {
                            if ($index > 0) {
                                print('\n');
                            }
                            if (strpos($filename, 'ERROR:') === 0) {
                                print($filename); // error mesg
                            } else {
                                print(dirname(getCurrentPageURL()) . str_replace(DIRECTORY_SEPARATOR, "/", substr(UPLOAD_DIR, strlen(__DIR__))) . $filename);
                            }
                        }
                    } else {
                        print('ERROR: no file uploaded');
                    }
                    return; // without printing footer
                }
                break;

            case 'source':
                { // display source code of this file
                    //show_source(__FILE__);
                }
                break;

            case 'dump':
                { // dump request information
                    //print('<html><head><title>Asprise Upload Tester</title><link rel="stylesheet" href="' . dirname(getCurrentPageURL()) . '/upload.css" /></head><body>');
                    //print('<p class="url">URL: ' . getCurrentPageURL());
                    //print(' | <a href="' . str_replace("action=dump", "action=source", getCurrentPageURL()) . '" target=_blank>Mostrar código</a></p>');
                    //print('<div id="main"><div id="left"><h2>Archivos subidos</h2>');
                    $fileNames = $this->handleUploadedFiles($ideAlu);
                    if (is_array($fileNames) && count($fileNames) > 0) {
                        foreach ($fileNames as $index => $filename) {
                            //print("Index".$index);
                            //print("Nombre del Archivo".$filename);

                            if (strpos($filename, 'ERROR:') === 0) {
                                print("<p>$filename</p>");
                            } else {
                                $extension = strtolower(pathinfo($filename, PATHINFO_EXTENSION));
                                $targetUrl = dirname($this->getCurrentPageURL()) . str_replace(DIRECTORY_SEPARATOR, "/", substr(ArchivosController::UPLOAD_DIR, strlen(__DIR__))) . $filename;
                                //print('<a href="' . $targetUrl . '" target="_blank">');
                                if (strpos($filename, 'ERROR:') !== 0 && in_array($extension, array('jpg', 'jpeg', 'gif', 'png'))) {
                                    $imgAnchor = '<img src="' . $targetUrl . '" height="160">';
                                } else if (strpos($filename, 'ERROR:') !== 0 && in_array($extension, array('tif', 'tiff'))) {
                                    $imgAnchor = '<img src="' . dirname($this->getCurrentPageURL()) . '/icon-tif.png">';
                                } else if (strpos($filename, 'ERROR:') !== 0 && $extension == 'pdf') {
                                    $imgAnchor = '<img src="' . dirname($this->getCurrentPageURL()) . '/icon-pdf.png">';
                                } else {
                                    $imgAnchor = '<img src="' . dirname($this->getCurrentPageURL()) . '/icon-others.png">';
                                }
                                //print($imgAnchor . '</a>');
                            }
                        }
                    }
                }
                break;

            case 'form':
                { // form for manual upload
                    print('<form action="upload.php?action=dump" method="post" enctype="multipart/form-data">' .
                        '<input type="file" name="file[]"><br>' .
                        '<input type="file" name="file[]"><br>' .
                        '<input type="submit" name="submit" value="Submit"></form>');
                }
                break;

            default:
            {
                print('Use a &lt;form&gt; to post scanned images or <a href="' . $_SERVER["PHP_SELF"] .
                    '?action=form">manually upload</a> to this URL | <a href="' . $_SERVER["PHP_SELF"] . '?action=source">Show source code</a>');
            }
        } // end of switch

        /* print('<hr style="height: 1px; color: #999; font-size: 0; border: 0; background: #999; margin-top: 20px; margin-bottom: 10px;">' .
          '<span style="font-family: Arial; color: #999; font-size: 12px;">ALL RIGHTS RESERVED BY LAB ASPRISE <a href="http://asprise.com/" target=_blank>asprise.com</a> &copy; ' . date('Y') . '.</span>'); */
    }

    /**
     * @return an array of mixing simple names of the files uploaded into UPLOAD_DIR and error strings starting with 'ERROR: ' or empty array if there is no uploaded file.
     */
    function handleUploadedFiles($ideAlu)
    {
        $fileNames = array();
        if (is_array($_FILES)) {
            foreach ($_FILES as $name => $fileSpec) {
                if (!is_array($fileSpec)) {
                    continue;
                }

                if (is_array($fileSpec['tmp_name'])) { // multiple files with same name
                    foreach ($fileSpec['tmp_name'] as $index => $value) {
                        if ($fileSpec['error'][$index] == UPLOAD_ERR_OK) {
                            /* array_push($fileNames, doHandleUploadedFile($fileSpec['name'][$index], $fileSpec['type'][$index], $fileSpec['tmp_name'][$index], $fileSpec['error'][$index], $fileSpec['size'][$index])); */
                            array_push($fileNames, $this->doHandleUploadedFile($ideAlu, $fileSpec['type'][$index], $fileSpec['tmp_name'][$index], $fileSpec['error'][$index], $fileSpec['size'][$index]));
                        }
                    }
                } else {
                    if ($fileSpec['error'] == UPLOAD_ERR_OK) {
                        array_push($fileNames, doHandleUploadedFile($fileSpec['name'], $fileSpec['type'], $fileSpec['tmp_name'], $fileSpec['error'], $fileSpec['size']));
                    }
                }
            }
        }

        return $fileNames;
    }

    /**
     * @return simple name of the file in the UPLOAD_DIR or an error string starting with 'ERROR: '.
     */
    function doHandleUploadedFile($name, $type, $tmp_name, $error, $size)
    {
        if ($error != UPLOAD_ERR_OK) {
            return 'ERROR: upload error code: ' . $error . ' for file ' . $name;
        }

        $extension = pathinfo($name, PATHINFO_EXTENSION);
        if ($extension == null || strlen($extension) == 0) {
            $extension = $this->getImageExtensionByMimeType($type);
            if ($extension != null) {
                $name .= '.' . $extension;
            }
        }

        /* print_r($name);
          print_r(" ");
          print_r(ArchivosController::UPLOAD_DIR); */

        if ($extension == null || strlen($extension) == 0 || (strlen($extension) > 0 && (!in_array(strtolower($extension), array('jpg', 'jpeg', 'gif', 'png', 'tif', 'tiff', 'pdf'))))) {
            return 'ERROR: extension not allowed: ' . $extension . ' for file ' . $name;
        }

        if (!file_exists(ArchivosController::UPLOAD_DIR)) {
            mkdir(ArchivosController::UPLOAD_DIR); // try to mkedir
        }

        $moved = move_uploaded_file($tmp_name, ArchivosController::UPLOAD_DIR . $name);
        if ($moved) {
            chmod(ArchivosController::UPLOAD_DIR . $name, 0644);
        } else {
            return 'ERROR: moving uploaded file failed' . ' for file ' . $name;
        }

        return $name;
    }

    function getCurrentPageURL()
    {
        $defaultPort = "80";
        $pageURL = 'http';
        /* if ($_SERVER["HTTPS"] == "on") {
          $pageURL .= "s";
          $defaultPort = "443";
          } */
        $pageURL .= "://";
        if ($_SERVER["SERVER_PORT"] != $defaultPort) {
            $pageURL .= $_SERVER["SERVER_NAME"] . ":" . $_SERVER["SERVER_PORT"] . $_SERVER["REQUEST_URI"];
        } else {
            $pageURL .= $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
        }
        return $pageURL;
    }

    function getImageExtensionByMimeType($mimeType)
    {
        $mimeType = strtolower($mimeType);
        switch ($mimeType) {
            case 'image/jpeg':
                return "jpg";
            case 'image/pjpeg':
                return 'jpg';
            case 'image/png':
                return 'png';
            case 'image/gif':
                return 'gif';
            case 'image/tiff':
                return 'tif';
            case 'image/x-tiff':
                return 'tif';
            case 'application/pdf':
                return 'pdf';
            default:
                return '';
        }
    }

    public function importarDatosAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

            } else { // ES GET
                $em = $this->getDoctrine()->getManager();

                // estas lineas nos puede servir para comprobar que nuestro fichero
                // que queremos cargar existe
                //$fileWithPath = "excel/baseToluca.xlsx";
                $fileWithPath = "excel/MATRICULA.xlsx";
                if (file_exists($fileWithPath)) {
                    //echo 'exist' . "<br>";
                } else {
                    echo 'dont exist' . "<br>";
                    die;
                }
                //cargamos el archivo a procesar.
                $objPHPExcel = PHPExcel_IOFactory::load($fileWithPath);
                //se obtienen las hojas, el nombre de las hojas y se pone activa la primera hoja
                $total_sheets = $objPHPExcel->getSheetCount();
                $allSheetName = $objPHPExcel->getSheetNames();
                $objWorksheet = $objPHPExcel->setActiveSheetIndex(0);
                //Se obtiene el número máximo de filas
                $highestRow = $objWorksheet->getHighestRow();
                //Se obtiene el número máximo de columnas
                $highestColumn = $objWorksheet->getHighestColumn();
                $highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn);
                //$headingsArray contiene las cabeceras de la hoja excel. Llos titulos de columnas
                $headingsArray = $objWorksheet->rangeToArray('A1:' . $highestColumn . '1', null, true, true, true);
                $headingsArray = $headingsArray[1];

                //Se recorre toda la hoja excel desde la fila 2 y se almacenan los datos
                $r = -1;
                $namedDataArray = array();
                for ($row = 2; $row <= $highestRow; ++$row) {
                    $dataRow = $objWorksheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, null, true, true, true);
                    if ((isset($dataRow[$row]['A'])) && ($dataRow[$row]['A'] > '')) {
                        ++$r;
                        foreach ($headingsArray as $columnKey => $columnHeading) {
                            $namedDataArray[$r][$columnHeading] = $dataRow[$row][$columnKey];
                        } //endforeach
                    } //endif
                }
                //var_dump($namedDataArray);
                // Datos para la conexion
                $host = 'localhost';
                $database = 'ceepam_control';
                $username = 'ceepam_controlUsr';
                $password = 'ceepam_1Ascosa5!';

                $mysqli = new \mysqli($host, $username, $password, $database);
                if ($mysqli->connect_errno) {
                    echo "Fallo al conectar a MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
                    echo $mysqli->host_info . "\n";
                } else {
                    echo 'Correcto ☺';
                    echo $mysqli->host_info . "\n";
                }
                $mysqli->query("set names utf8");
                print_r("ENTRÓ<br>");
                foreach ($namedDataArray as $key => $value) {
                    //print_r("ENTROOOO..!");
                    //$lic = $em->getRepository('CmBundle:Licenciaturas')->findOneBy(array('cveLic'));


                    $sex = 0;
                    if ($value['sexo'] == "H") {
                        $sex = 0;
                    } else {
                        $sex = 1;
                    }
                    $banReinscripcion = 0;
                    if ($value['numero de semestre/cutrimestre'] > 1) {
                        $banReinscripcion = 1;
                    } else {
                        $banReinscripcion = 0;
                    }
                    $hoy = date('Y-m-d');

                    /*
                     * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                     */
                    $contador = $em->getRepository('CmBundle:Contador')
                        ->findOneBy(array('cveCon' => 'C1'));
                    $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('idePla' => $value['plantel']));
                    //$cveCtl = $plantel->getCvePla() + $contador->getValor();


//                    $anio = substr($value['inicio de ciclo/actual'], 2, 2);
//
//                    $np = "";
//                    if ($contador->getValor() < 10) {
//                        $np = '000' . $contador->getValor();
//                    } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
//                        $np = '00' . $contador->getValor();
//                    } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
//                        $np = '0' . $contador->getValor();
//                    } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
//                        $np = $contador->getValor();
//                    }
//
//                    $numCtl = $anio . $plantel->getCvePla() . $np;
                    $numCtl = $value['MATRICULA'];
                    print_r($numCtl);
                    print_r("<br>");

                    $inscripcion = 0;
//                    if ($value['costo inscripcion'] == "N/P") {
//                        $inscripcion = 0;
//                    } else {
//                        $inscripcion = $value['costo inscripcion'];
//                    }
                    $colegiatura = 0;
//                    if ($value['costo mensualidad'] == "N/P") {
//                        $colegiatura = 0;
//                    } else {
//                        $colegiatura = $value['costo mensualidad'];
//                    }
                    $reinscripcion = 0;
//                    if ($value['costo reinscripcion'] == "N/P") {
//                        $reinscripcion = 0;
//                    } else {
//                        $reinscripcion = $value['costo reinscripcion'];
//                    }

                    $query = "INSERT INTO alumnos ("
                        . "ape_pat,ape_mat,nom_alu,"
                        . "curp,fec_nac,edad,sexo,fec_ins,cve_pla,semestre,numero,"
                        . "modalidad,cve_lic,"
                        . "costo_inscripcion,costo_mensualidad,costo_reinscripciones,modo_pago,"
                        . "estatus,contador,reinscripcion,fec_mov,cve_usu,cve_ctl,"
                        . "tipo_alumno)"
                        . "VALUES ("
                        . "'{$value['apellido paterno']}', '{$value['apellido materno']}', '{$value['nombre']}',"
                        . "'{$value['curp']}','{$value['FECHA NACIMIENTO']}','{$value['EDAD']}','{$sex}','{$value['inicio de ciclo/actual']}','{$value['plantel']}','{$value['numero de semestre/cutrimestre']}','{$value['numero de semestre/cutrimestre']}',"
                        . "'{$value['plan semestral/cuatrimestral']}', '{$value['licenciatura/maestria']}',"
                        . "'{$inscripcion}','{$colegiatura}','{$reinscripcion}','{$value['modalidad presencial/en linea']}',"
                        . "1,1,{$banReinscripcion},'{$hoy}','{$session->get('identificador')}','{$numCtl}',"
                        . "'{$value['nivel']}'"
                        . ")";

                    $mysqli->query($query);

                    $ideAlumno = $mysqli->insert_id;

                    //printf("Nuevo registro con el id %d.\n", $mysqli->insert_id);
//                    $contador->setValor($contador->getValor() + 1);
//                    $em->persist($contador);
//                    $em->flush();


//                    $fecIni = $value['inicio de ciclo/actual'];
//                    /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
//                    $query = "INSERT INTO pagos ("
//                            . "cve_alu,semestre,numero,referencia,fec_ini,fec_ter,tip_pag,sta_pag,fec_mov,cve_usu) "
//                            . "VALUES ("
//                            . "'{$ideAlumno}','{$value['numero de semestre/cutrimestre']}',0,'','{$hoy}','{$hoy}','',1,'{$hoy}','{$session->get('identificador')}'"
//                            . ")";
//                    $mysqli->query($query);
//                    /* CREAR LOS PAGOS DEL ALUMNO */
//                    $fin = 0;
//                    if ($value['plan semestral/cuatrimestral'] == "SEMESTRAL") {
//                        $fin = 6;
//                    } elseif ($value['plan semestral/cuatrimestral'] == "CUATRIMESTRAL") {
//                        $fin = 4;
//                    }
//
//                    for ($i = 1; $i <= $fin; $i++) {
//
//                        $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
//                        $auxAnio = date('Y', strtotime($fecIni));
//                        $fecTer = date('Y-m-d', $fecTer);
//
//                        $auxFecha = date('m', strtotime($fecIni));
//                        $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
//                        $nomMes = $meses[$auxFecha - 1];
//
//
//                        $query = "INSERT INTO pagos ("
//                                . "cve_alu,semestre,numero,referencia,fec_ini,fec_ter,nom_mes,tip_pag,sta_pag,fec_mov,cve_usu) "
//                                . "VALUES ("
//                                . "'{$ideAlumno}','{$value['numero de semestre/cutrimestre']}','{$i}','','{$fecIni}','{$fecTer}','{$nomMes}','',1,'{$hoy}','{$session->get('identificador')}'"
//                                . ")";
//                        $mysqli->query($query);
//
//                        $fecTer = strtotime('+1 month', strtotime($fecIni));
//                        $fecTer = date('Y-m-d', $fecTer);
//                        $fecIni = $fecTer;
//
//                        print_r($nomMes);
//                    }
                }
                //print_r("SALIOOOOÓ..!");


                /* cerrar conexion */
                $mysqli->close();

                return $this->render('CmBundle:Archivo:importacion-correcta.html.twig');
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function importarDatosTitulacionAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

            } else { // ES GET
                $em = $this->getDoctrine()->getManager();

                // estas lineas nos puede servir para comprobar que nuestro fichero
                // que queremos cargar existe
                //$fileWithPath = "excel/baseToluca.xlsx";
                $fileWithPath = "excel/baseTitulacion.xlsx";
                if (file_exists($fileWithPath)) {
                    //echo 'exist' . "<br>";
                } else {
                    echo 'dont exist' . "<br>";
                    die;
                }
                //cargamos el archivo a procesar.
                $objPHPExcel = PHPExcel_IOFactory::load($fileWithPath);
                //se obtienen las hojas, el nombre de las hojas y se pone activa la primera hoja
                $total_sheets = $objPHPExcel->getSheetCount();
                $allSheetName = $objPHPExcel->getSheetNames();
                $objWorksheet = $objPHPExcel->setActiveSheetIndex(0);
                //Se obtiene el número máximo de filas
                $highestRow = $objWorksheet->getHighestRow();
                //Se obtiene el número máximo de columnas
                $highestColumn = $objWorksheet->getHighestColumn();
                $highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn);
                //$headingsArray contiene las cabeceras de la hoja excel. Llos titulos de columnas
                $headingsArray = $objWorksheet->rangeToArray('A1:' . $highestColumn . '1', null, true, true, true);
                $headingsArray = $headingsArray[1];

                //Se recorre toda la hoja excel desde la fila 2 y se almacenan los datos
                $r = -1;
                $namedDataArray = array();
                for ($row = 2; $row <= $highestRow; ++$row) {
                    $dataRow = $objWorksheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, null, true, true, true);
                    if ((isset($dataRow[$row]['A'])) && ($dataRow[$row]['A'] > '')) {
                        ++$r;
                        foreach ($headingsArray as $columnKey => $columnHeading) {
                            $namedDataArray[$r][$columnHeading] = $dataRow[$row][$columnKey];
                        } //endforeach
                    } //endif
                }
                //var_dump($namedDataArray);
                // Datos para la conexion
                $host = 'localhost';
                $database = 'tecmexi1_cajabase';
                $username = 'tecmexi1_cajaUsr';
                $password = 'tecmexi1_cajaUsr123$';

                $mysqli = new \mysqli($host, $username, $password, $database);
                if ($mysqli->connect_errno) {
                    echo "Fallo al conectar a MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
                    echo $mysqli->host_info . "\n";
                } else {
                    //echo 'Correcto ☺';
                    //echo $mysqli->host_info . "\n";
                }
                $mysqli->query("set names utf8");
                foreach ($namedDataArray as $key => $value) {
                    //print_r("ENTROOOO..!");
                    //$lic = $em->getRepository('CmBundle:Licenciaturas')->findOneBy(array('cveLic'));


                    $sex = 0;
                    if ($value['sexo'] == "HOMBRE") {
                        $sex = 0;
                    } else {
                        $sex = 1;
                    }
                    $banReinscripcion = 0;
                    if ($value['numero de semestre/cutrimestre'] > 1) {
                        $banReinscripcion = 1;
                    } else {
                        $banReinscripcion = 0;
                    }
                    $hoy = date('Y-m-d');

                    /*
                     * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                     */
                    $contador = $em->getRepository('CmBundle:Contador')
                        ->findOneBy(array('cveCon' => 'C-TIT'));
                    $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('idePla' => 1));
                    //$cveCtl = $plantel->getCvePla() + $contador->getValor();


                    $anio = substr($value['inicio de ciclo/actual'], 2, 2);
                    $anio = date('Y');

                    $np = "";
                    if ($contador->getValor() < 10) {
                        $np = '000' . $contador->getValor();
                    } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                        $np = '00' . $contador->getValor();
                    } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                        $np = '0' . $contador->getValor();
                    } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                        $np = $contador->getValor();
                    }

                    $numCtl = $anio . '77' . $np;

                    $inscripcion = 0;
                    if ($value['costo inscripcion'] == "N/P") {
                        $inscripcion = 0;
                    } else {
                        $inscripcion = $value['costo inscripcion'];
                    }
                    $colegiatura = 0;
                    if ($value['costo mensualidad'] == "N/P") {
                        $colegiatura = 0;
                    } else {
                        $colegiatura = $value['costo mensualidad'];
                    }
                    $reinscripcion = 0;
                    if ($value['costo reinscripcion'] == "N/P") {
                        $reinscripcion = 0;
                    } else {
                        $reinscripcion = $value['costo reinscripcion'];
                    }

                    $query = "INSERT INTO alumnos ("
                        . "ape_pat,ape_mat,nom_alu,"
                        . "curp,sexo,fec_ins,cve_pla,semestre,numero,"
                        . "modalidad,cve_lic,"
                        . "costo_inscripcion,costo_mensualidad,costo_reinscripciones,modo_pago,"
                        . "estatus,cve_beca,contador,reinscripcion,fec_mov,cve_usu,cve_ctl,"
                        . "tipo_alumno)"
                        . "VALUES ("
                        . "'{$value['apellido paterno']}', '{$value['apellido materno']}', '{$value['nombre']}',"
                        . "'{$value['curp']}', '{$sex}','{$value['inicio de ciclo/actual']}','{$value['plantel']}','{$value['numero de semestre/cutrimestre']}','{$value['numero de semestre/cutrimestre']}',"
                        . "'{$value['plan semestral/cuatrimestral']}', '{$value['licenciatura/maestria']}',"
                        . "'{$inscripcion}','{$colegiatura}','{$reinscripcion}','{$value['modalidad presencial/en linea']}',"
                        . "1,1,1,{$banReinscripcion},'{$hoy}','{$session->get('identificador')}','{$numCtl}',"
                        . "'{$value['nivel']}'"
                        . ")";

                    $mysqli->query($query);

                    $ideAlumno = $mysqli->insert_id;

                    //printf("Nuevo registro con el id %d.\n", $mysqli->insert_id);

                    $contador->setValor($contador->getValor() + 1);
                    $em->persist($contador);
                    $em->flush();


                    $fecIni = $value['inicio de ciclo/actual'];
                    /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
                    $query = "INSERT INTO pagos ("
                        . "cve_alu,semestre,numero,referencia,fec_ini,fec_ter,tip_pag,sta_pag,fec_mov,cve_usu) "
                        . "VALUES ("
                        . "'{$ideAlumno}','{$value['numero de semestre/cutrimestre']}',0,'','{$hoy}','{$hoy}','',1,'{$hoy}','{$session->get('identificador')}'"
                        . ")";
                    $mysqli->query($query);
                    /* CREAR LOS PAGOS DEL ALUMNO */
                    $fin = 0;
                    if ($value['plan semestral/cuatrimestral'] == "SEMESTRAL") {
                        $fin = 6;
                    } elseif ($value['plan semestral/cuatrimestral'] == "CUATRIMESTRAL") {
                        $fin = 4;
                    }

                    for ($i = 1; $i <= $fin; $i++) {

                        $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                        $auxAnio = date('Y', strtotime($fecIni));
                        $fecTer = date('Y-m-d', $fecTer);

                        $auxFecha = date('m', strtotime($fecIni));
                        $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                        $nomMes = $meses[$auxFecha - 1];


                        $query = "INSERT INTO pagos ("
                            . "cve_alu,semestre,numero,referencia,fec_ini,fec_ter,nom_mes,tip_pag,sta_pag,fec_mov,cve_usu) "
                            . "VALUES ("
                            . "'{$ideAlumno}','{$value['numero de semestre/cutrimestre']}','{$i}','','{$fecIni}','{$fecTer}','{$nomMes}','',1,'{$hoy}','{$session->get('identificador')}'"
                            . ")";
                        $mysqli->query($query);

                        $fecTer = strtotime('+1 month', strtotime($fecIni));
                        $fecTer = date('Y-m-d', $fecTer);
                        $fecIni = $fecTer;
                    }
                }
                //print_r("SALIOOOOÓ..!");


                /* cerrar conexion */
                $mysqli->close();

                return $this->render('CmBundle:Archivo:importacion-correcta.html.twig');
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function importarDatosExamenUnicoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

            } else { // ES GET
                $em = $this->getDoctrine()->getManager();

                // estas lineas nos puede servir para comprobar que nuestro fichero
                // que queremos cargar existe
                //$fileWithPath = "excel/baseToluca.xlsx";
                $fileWithPath = "excel/baseZinacantepec.xlsx";
                if (file_exists($fileWithPath)) {
                    //echo 'exist' . "<br>";
                } else {
                    echo 'dont exist' . "<br>";
                    die;
                }
                //cargamos el archivo a procesar.
                $objPHPExcel = PHPExcel_IOFactory::load($fileWithPath);
                //se obtienen las hojas, el nombre de las hojas y se pone activa la primera hoja
                $total_sheets = $objPHPExcel->getSheetCount();
                $allSheetName = $objPHPExcel->getSheetNames();
                $objWorksheet = $objPHPExcel->setActiveSheetIndex(0);
                //Se obtiene el número máximo de filas
                $highestRow = $objWorksheet->getHighestRow();
                //Se obtiene el número máximo de columnas
                $highestColumn = $objWorksheet->getHighestColumn();
                $highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn);
                //$headingsArray contiene las cabeceras de la hoja excel. Llos titulos de columnas
                $headingsArray = $objWorksheet->rangeToArray('A1:' . $highestColumn . '1', null, true, true, true);
                $headingsArray = $headingsArray[1];

                //Se recorre toda la hoja excel desde la fila 2 y se almacenan los datos
                $r = -1;
                $namedDataArray = array();
                for ($row = 2; $row <= $highestRow; ++$row) {
                    $dataRow = $objWorksheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, null, true, true, true);
                    if ((isset($dataRow[$row]['A'])) && ($dataRow[$row]['A'] > '')) {
                        ++$r;
                        foreach ($headingsArray as $columnKey => $columnHeading) {
                            $namedDataArray[$r][$columnHeading] = $dataRow[$row][$columnKey];
                        } //endforeach
                    } //endif
                }
                //var_dump($namedDataArray);
                // Datos para la conexion
                $host = 'localhost';
                $database = 'tecmexi1_cajabase';
                $username = 'tecmexi1_cajaUsr';
                $password = 'tecmexi1_cajaUsr123$';

                $mysqli = new \mysqli($host, $username, $password, $database);
                if ($mysqli->connect_errno) {
                    echo "Fallo al conectar a MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
                    echo $mysqli->host_info . "\n";
                } else {
                    //echo 'Correcto ☺';
                    //echo $mysqli->host_info . "\n";
                }
                $mysqli->query("set names utf8");
                foreach ($namedDataArray as $key => $value) {
                    //print_r("ENTROOOO..!");
                    //$lic = $em->getRepository('CmBundle:Licenciaturas')->findOneBy(array('cveLic'));


                    $sex = 0;
                    if ($value['sexo'] == "HOMBRE") {
                        $sex = 0;
                    } else {
                        $sex = 1;
                    }
                    $banReinscripcion = 0;
                    if ($value['numero de semestre/cutrimestre'] > 1) {
                        $banReinscripcion = 1;
                    } else {
                        $banReinscripcion = 0;
                    }
                    $hoy = date('Y-m-d');

                    /*
                     * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                     */
                    $contador = $em->getRepository('CmBundle:Contador')
                        ->findOneBy(array('cveCon' => 'C1'));
                    $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('idePla' => $value['plantel']));
                    //$cveCtl = $plantel->getCvePla() + $contador->getValor();


                    $anio = substr($value['inicio de ciclo/actual'], 2, 2);

                    $np = "";
                    if ($contador->getValor() < 10) {
                        $np = '000' . $contador->getValor();
                    } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                        $np = '00' . $contador->getValor();
                    } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                        $np = '0' . $contador->getValor();
                    } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                        $np = $contador->getValor();
                    }

                    $numCtl = $anio . $plantel->getCvePla() . $np;

                    $inscripcion = 0;
                    if ($value['costo inscripcion'] == "N/P") {
                        $inscripcion = 0;
                    } else {
                        $inscripcion = $value['costo inscripcion'];
                    }
                    $colegiatura = 0;
                    if ($value['costo mensualidad'] == "N/P") {
                        $colegiatura = 0;
                    } else {
                        $colegiatura = $value['costo mensualidad'];
                    }
                    $reinscripcion = 0;
                    if ($value['costo reinscripcion'] == "N/P") {
                        $reinscripcion = 0;
                    } else {
                        $reinscripcion = $value['costo reinscripcion'];
                    }

                    $query = "INSERT INTO alumnos ("
                        . "ape_pat,ape_mat,nom_alu,"
                        . "curp,sexo,fec_ins,cve_pla,semestre,numero,"
                        . "modalidad,cve_lic,"
                        . "costo_inscripcion,costo_mensualidad,costo_reinscripciones,modo_pago,"
                        . "estatus,cve_beca,contador,reinscripcion,fec_mov,cve_usu,cve_ctl,"
                        . "tipo_alumno)"
                        . "VALUES ("
                        . "'{$value['apellido paterno']}', '{$value['apellido materno']}', '{$value['nombre']}',"
                        . "'{$value['curp']}', '{$sex}','{$value['inicio de ciclo/actual']}','{$value['plantel']}','{$value['numero de semestre/cutrimestre']}','{$value['numero de semestre/cutrimestre']}',"
                        . "'{$value['plan semestral/cuatrimestral']}', '{$value['licenciatura/maestria']}',"
                        . "'{$inscripcion}','{$colegiatura}','{$reinscripcion}','{$value['modalidad presencial/en linea']}',"
                        . "1,1,1,{$banReinscripcion},'{$hoy}','{$session->get('identificador')}','{$numCtl}',"
                        . "'{$value['nivel']}'"
                        . ")";

                    $mysqli->query($query);

                    $ideAlumno = $mysqli->insert_id;

                    //printf("Nuevo registro con el id %d.\n", $mysqli->insert_id);

                    $contador->setValor($contador->getValor() + 1);
                    $em->persist($contador);
                    $em->flush();


                    $fecIni = $value['inicio de ciclo/actual'];
                    /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
                    $query = "INSERT INTO pagos ("
                        . "cve_alu,semestre,numero,referencia,fec_ini,fec_ter,tip_pag,sta_pag,fec_mov,cve_usu) "
                        . "VALUES ("
                        . "'{$ideAlumno}','{$value['numero de semestre/cutrimestre']}',0,'','{$hoy}','{$hoy}','',1,'{$hoy}','{$session->get('identificador')}'"
                        . ")";
                    $mysqli->query($query);
                    /* CREAR LOS PAGOS DEL ALUMNO */
                    $fin = 0;
                    if ($value['plan semestral/cuatrimestral'] == "SEMESTRAL") {
                        $fin = 6;
                    } elseif ($value['plan semestral/cuatrimestral'] == "CUATRIMESTRAL") {
                        $fin = 4;
                    }

                    for ($i = 1; $i <= $fin; $i++) {

                        $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                        $auxAnio = date('Y', strtotime($fecIni));
                        $fecTer = date('Y-m-d', $fecTer);

                        $auxFecha = date('m', strtotime($fecIni));
                        $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                        $nomMes = $meses[$auxFecha - 1];


                        $query = "INSERT INTO pagos ("
                            . "cve_alu,semestre,numero,referencia,fec_ini,fec_ter,nom_mes,tip_pag,sta_pag,fec_mov,cve_usu) "
                            . "VALUES ("
                            . "'{$ideAlumno}','{$value['numero de semestre/cutrimestre']}','{$i}','','{$fecIni}','{$fecTer}','{$nomMes}','',1,'{$hoy}','{$session->get('identificador')}'"
                            . ")";
                        $mysqli->query($query);

                        $fecTer = strtotime('+1 month', strtotime($fecIni));
                        $fecTer = date('Y-m-d', $fecTer);
                        $fecIni = $fecTer;
                    }
                }
                //print_r("SALIOOOOÓ..!");


                /* cerrar conexion */
                $mysqli->close();

                return $this->render('CmBundle:Archivo:importacion-correcta.html.twig');
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function filtroCredencialesAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {
                $idePla = $request->get('idePla');
                $ideLic = $request->get('ideLic');

                $em = $this->getDoctrine()->getEntityManager();
                $dql = "SELECT a "
                    . "FROM CmBundle:Alumnos a "
                    . "WHERE a.cveLic = :lic "
                    . "AND a.cvePla = :pla "
                    . "AND a.estatus = 1"
                    . "AND a.credencial = 0";
                $query = $em->createQuery($dql);
                $query->setParameter('lic', $ideLic);
                $query->setParameter('pla', $idePla);
                $alumnos = $query->getResult();

                $pdf = new PDFCredencial('P', 'mm', array(54, 85.6));
                $pdf->SetFont('Arial', '', 12);

                foreach ($alumnos as $key => $alumno) {
                    $generator = new BarcodeGeneratorPNG();
                    $imagenBarra = "data:image/png;base64," . base64_encode($generator->getBarcode($alumno->getCveCtl(), $generator::TYPE_CODE_128));
                    $codigoBarras = $this->base64_to_png($imagenBarra, 'barras/' . $alumno->getCveCtl() . '.png');
                    $pdf->AddPage();
                    $pdf->Credencial($alumno, $codigoBarras);
                    $pdf->RotatedImage($codigoBarras, 10, 20, 0, 0, -90);
                }

                return new Response($pdf->Output('credenciales.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            } else { // ES GET
                $em = $this->getDoctrine()->getEntityManager();

                $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findBy(array(), array('cveNivAca' => 'ASC'));

                return $this->render('CmBundle:Credencial:filtro.html.twig', array(
                    'planteles' => $planteles,
                    'licenciaturas' => $licenciaturas
                ));
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function activarCredencialAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {
                $cveCtl = $request->get('cveCtl');

                $em = $this->getDoctrine()->getManager();
                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('cveCtl' => $cveCtl));

                $bandera = 0;
                if ($alumno != null) {
                    if ($alumno->getCredencial() == 0) {
                        $bandera = 1;
                        $alumno->setCredencial(1);
                        $alumno->setVigCredencial(1);

                        $em->persist($alumno);
                        $em->flush();
                    } else {
                        $bandera = 2;
                    }
                } else {
                    $bandera = 3;
                }

                return $this->redirect($this->generateUrl('activar_credenciales', array('bandera' => $bandera)));
            } else { // ES GET
                $bandera = $request->get('bandera');

                return $this->render('CmBundle:Credencial:activar.html.twig', array('bandera' => $bandera));
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function registrarCredencialAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

                $ideAlu = $request->get('ideAlu');
                $folioCredencial = $request->get("folio");
                $fechaA = $request->get('fechaA');
                $fechaB = $request->get('fechaB');

                $em = $this->getDoctrine()->getEntityManager();

                $cveAlu = substr($folioCredencial, 0, 8);

                $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('cveCtl' => $cveAlu));

                //PASO 1: Bucar el folio en la tabla AlumnosCredencial

                $auxRegCred = $em->getRepository('CmBundle:AlumnosCredenciales')
                    ->findOneBy(array('folio' => $folioCredencial, 'cveAlu' => $alumno));
                if ($auxRegCred != null) {
                    //EL FOLIO YA ESTÁ REGISTRADO
                    return $this->redirect($this->generateUrl("registro_credencial_duplicado"));
                } else {
                    //EL FOLIO NO ESTÁ REGISTRADO
                    $regCredencial = new AlumnosCredenciales();
                    $regCredencial->setCveAlu($alumno);
                    $regCredencial->setFolio($folioCredencial);
                    $regCredencial->setVigIni(new \DateTime($fechaA));
                    $regCredencial->setVigFin(new \DateTime($fechaB));
                    $regCredencial->setFecMov(new \DateTime(date('Y-m-d')));
                    $regCredencial->setCveUsu($session->get('identificador'));
                    $regCredencial->setEstatus(1);

                    $em->persist($regCredencial);
                    $em->flush();

                    $alumno->setFolioCredencial($folioCredencial);
                    $em->persist($alumno);
                    $em->flush();

                    return $this->redirect($this->generateUrl("registro_credencial_ok"));
                }
            } else { // NO FUE POST
                return $this->render('CmBundle:Credencial:registrar.html.twig');
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

    public function regCredOkAction(Request $request)
    {
        return $this->render('CmBundle:Credencial:registroOK.html.twig');
    }

    public function regCredDuplicadoAction(Request $request)
    {
        return $this->render('CmBundle:Credencial:registroDuplicado.html.twig');
    }

    public function cambiarRutaExpedienteAction(Request $request)
    {
        if ($request->getMethod() == 'POST') {

        } else { // ES GET
            $em = $this->getDoctrine()->getManager();

            $alumnos = $em->getRepository('CmBundle:Alumnos')->findAll();

            $i = 0;
            foreach ($alumnos as $alumno) {
                print_r($i++ . "::");
                /*
                 * REVISAR LA EXISTENCIA DE LA DOCUMENTACIÓN DIGITAL
                 */
                $actaNacimiento = $alumno->getCveCtl() . "-an.pdf";
                $certificadoSecundaria = $alumno->getCveCtl() . "-cs.pdf";
                $certificadoBachillerato = $alumno->getCveCtl() . "-cb.pdf";
                $certificadoTotalLicenciatura = $alumno->getCveCtl() . "-ctl.pdf";
                $cedulaLic = $alumno->getCveCtl() . "-cedLic.pdf";
                $certificadoTotalMaestria = $alumno->getCveCtl() . "-ctm.pdf";
                $tituloLicenciatura = $alumno->getCveCtl() . "-tl.pdf";
                $tituloMaestria = $alumno->getCveCtl() . "-tm.pdf";
                $cedulaMae = $alumno->getCveCtl() . "-cedMae.pdf";
                $ifeIne = $alumno->getCveCtl() . "-ine.pdf";
                $curp = $alumno->getCveCtl() . "-curp.pdf";
                //$comprobanteDomiciliario = $alumno->getCveCtl() . "-comDom.pdf";
                //$cedula =  $alumno->getCveCtl() . "-ced.pdf";

                $actaNacimientoBasica = $alumno->getCveCtl() . "-anAlumno.pdf";
                $curpAlumnoBasica = $alumno->getCveCtl() . "-curpAlumno.pdf";
                $cartillaVacunacionBasica = $alumno->getCveCtl() . "-cv.pdf";
                $ineMadreBasica = $alumno->getCveCtl() . "-ineMadre.pdf";
                $curpMadreBasica = $alumno->getCveCtl() . "-curpMadre.pdf";
                $inePadreBasica = $alumno->getCveCtl() . "-inePadre.pdf";
                $curpPadreBasica = $alumno->getCveCtl() . "-curpPadre.pdf";
                $actaNacimientoTutorBasica = $alumno->getCveCtl() . "-anTutor.pdf";
                $comDomicilioBasica = $alumno->getCveCtl() . "-comDomicilio.pdf";


                $ARCHIVO = "archivo/";
                $rutaCarpetaAlumno = "";

                if ($alumno->getCvePla() != null) {
                    $rutaCarpeta = "archivo/" . $alumno->getCvePla()->getIdePla();
                    if (file_exists($rutaCarpeta) == false) {
                        print_r($rutaCarpeta);
                        mkdir($rutaCarpeta);
                        $rutaCarpetaAlumno = $rutaCarpeta . "/" . $alumno->getIdeAlu();
                        if (file_exists($rutaCarpetaAlumno) == false) {
                            print_r("->" . $rutaCarpetaAlumno);
                            mkdir($rutaCarpetaAlumno);
                        }
                        print_r("<br>");
                    } else {
                        $rutaCarpetaAlumno = $rutaCarpeta . "/" . $alumno->getIdeAlu();
                        if (file_exists($rutaCarpetaAlumno) == false) {
                            print_r("->" . $rutaCarpetaAlumno);
                            mkdir($rutaCarpetaAlumno);
                        }
                        print_r("<br>");
                    }
                } else { // PUEDE QUE SEA DIRECTA
                    if ($alumno->getTipoAlumno() == 8) {
                        print_r("<br>Es Directa:" . $alumno->getCveCtl() . "<br>");
                        $auxTit = $em->getRepository('CmBundle:Titulaciones')
                            ->findOneBy(array('cveAlu' => $alumno));
                        //$rutaCarpeta = "archivo/DIR/" . $auxTit->getCord()->getIdeCorTit();
                        $rutaCarpetaAlumno = "archivo";
                    } else {
                        $rutaCarpetaAlumno = "archivo";
                    }


                }

                /*
                 * DOCUMENTOS BASE
                 */
                if (file_exists($ARCHIVO . $actaNacimiento)) {
                    rename($ARCHIVO . $actaNacimiento, $rutaCarpetaAlumno . "/" . $actaNacimiento);
                    print_r($rutaCarpetaAlumno . "/" . $actaNacimiento . "<br>");
                } else {
                    print_r("no existe <br>");
                }
                if (file_exists($ARCHIVO . $curp)) {
                    rename($ARCHIVO . $curp, $rutaCarpetaAlumno . "/" . $curp);
                    print_r($rutaCarpetaAlumno . "/" . $curp . "<br>");
                }
                if (file_exists($ARCHIVO . $ifeIne)) {
                    rename($ARCHIVO . $ifeIne, $rutaCarpetaAlumno . "/" . $ifeIne);
                    print_r($rutaCarpetaAlumno . "/" . $ifeIne . "<br>");
                }
                /*
                 * FIN DOCUMENTOS BASE
                 */

                if ($alumno->getTipoAlumno() == 3) {// LICENCIATURA

                    if (file_exists($ARCHIVO . $certificadoBachillerato)) {
                        rename($ARCHIVO . $certificadoBachillerato, $rutaCarpetaAlumno . "/" . $certificadoBachillerato);
                        print_r($rutaCarpetaAlumno . "/" . $certificadoBachillerato . "<br>");
                    }

                } elseif ($alumno->getTipoAlumno() == 1) {// BACHILLERATO ESCOLARIZADO

                    if (file_exists($ARCHIVO . $certificadoSecundaria)) {
                        rename($ARCHIVO . $certificadoSecundaria, $rutaCarpetaAlumno . "/" . $certificadoSecundaria);
                        print_r($rutaCarpetaAlumno . "/" . $certificadoSecundaria . "<br>");
                    }
                } elseif ($alumno->getTipoAlumno() == 4) {// MAESTRIA

                    if (file_exists($ARCHIVO . $certificadoTotalLicenciatura)) {
                        rename($ARCHIVO . $certificadoTotalLicenciatura, $rutaCarpetaAlumno . "/" . $certificadoTotalLicenciatura);
                        print_r($rutaCarpetaAlumno . "/" . $certificadoTotalLicenciatura . "<br>");
                    }

                    if (file_exists($ARCHIVO . $tituloLicenciatura)) {
                        rename($ARCHIVO . $tituloLicenciatura, $rutaCarpetaAlumno . "/" . $tituloLicenciatura);
                        print_r($rutaCarpetaAlumno . "/" . $tituloLicenciatura . "<br>");
                    }

                    if (file_exists($ARCHIVO . $cedulaLic)) {
                        rename($ARCHIVO . $cedulaLic, $rutaCarpetaAlumno . "/" . $cedulaLic);
                        print_r($rutaCarpetaAlumno . "/" . $cedulaLic . "<br>");
                    }

                } elseif ($alumno->getTipoAlumno() == 5) {// DOCTORADO

                    if (file_exists($ARCHIVO . $certificadoTotalLicenciatura)) {
                        rename($ARCHIVO . $certificadoTotalLicenciatura, $rutaCarpetaAlumno . "/" . $certificadoTotalLicenciatura);
                        print_r($rutaCarpetaAlumno . "/" . $certificadoTotalLicenciatura . "<br>");
                    }
                    if (file_exists($ARCHIVO . $tituloLicenciatura)) {
                        rename($ARCHIVO . $tituloLicenciatura, $rutaCarpetaAlumno . "/" . $certificadoTotalLicenciatura);
                        print_r($rutaCarpetaAlumno . "/" . $certificadoTotalLicenciatura . "<br>");
                    }
                    if (file_exists($ARCHIVO . $cedulaLic)) {
                        rename($ARCHIVO . $cedulaLic, $rutaCarpetaAlumno . "/" . $cedulaLic);
                        print_r($rutaCarpetaAlumno . "/" . $cedulaLic . "<br>");
                    }
                    if (file_exists($ARCHIVO . $certificadoTotalMaestria)) {
                        rename($ARCHIVO . $certificadoTotalMaestria, $rutaCarpetaAlumno . "/" . $certificadoTotalMaestria);
                        print_r($rutaCarpetaAlumno . "/" . $certificadoTotalMaestria . "<br>");
                    }
                    if (file_exists($ARCHIVO . $tituloMaestria)) {
                        rename($ARCHIVO . $tituloMaestria, $rutaCarpetaAlumno . "/" . $tituloMaestria);
                        print_r($rutaCarpetaAlumno . "/" . $tituloMaestria . "<br>");
                    }
                    if (file_exists($ARCHIVO . $cedulaMae)) {
                        rename($ARCHIVO . $cedulaMae, $rutaCarpetaAlumno . "/" . $cedulaMae);
                        print_r($rutaCarpetaAlumno . "/" . $cedulaMae . "<br>");
                    }

                } elseif ($alumno->getTipoAlumno() == 9) {// MATERNAL
                } elseif ($alumno->getTipoAlumno() == 10) {// PREESCOLAR

                    $documentosBasica = [
                        $actaNacimientoBasica, $curpAlumnoBasica, $cartillaVacunacionBasica, $ineMadreBasica, $curpMadreBasica, $inePadreBasica, $curpPadreBasica, $actaNacimientoTutorBasica, $comDomicilioBasica
                    ];

                    foreach ($documentosBasica as $db) {
                        if (file_exists($ARCHIVO . $db)) {
                            //rename($ARCHIVO . $db, $rutaCarpetaAlumno . "/" . $db);
                            print_r("<br>Básica: " . $rutaCarpetaAlumno . "/" . $db . "<br>");
                        }
                    }

                } elseif ($alumno->getTipoAlumno() == 11) {// PRIMARIA

                } elseif ($alumno->getTipoAlumno() == 8) {// TITULACIÓN DIRECTA
                    print_r("ES DIRECTA");
                    print_r("<br>");
                }

                /*
                 * FINALIZA REVISIÓN DE DOCUMENTACIÓN DIGITAL
                 */


            }// termina foreach

            return new Response("OK", 200);

        }
    }

    function base64_to_png($base64_string, $output_file)
    {
        // open the output file for writing
        $ifp = fopen($output_file, 'wb');

        // split the string on commas
        // $data[ 0 ] == "data:image/png;base64"
        // $data[ 1 ] == <actual base64 string>
        $data = explode(',', $base64_string);

        // we could add validation here with ensuring count( $data ) > 1
        fwrite($ifp, base64_decode($data[1]));

        // clean up the file resource
        fclose($ifp);

        return $output_file;
    }

}
